<?php
header("Content-type:text/html;charset=utf-8");  
session_start();
$session_admin = isset($_SESSION['admin']) ? $_SESSION['admin'] : ''; 
if ($session_admin == '') {
	die("Can not access");
}
require_once("../common.php");
checkadminrights($session_admin, 'departments');

function step2() {
	require_once("../common.php");

	$departid = isset($_GET['departid']) ? $_GET['departid'] : '';
	$departname = isset($_GET['departname']) ? urldecode($_GET['departname']) : '';
	$userid = isset($_GET['userid']) ? $_GET['userid'] : '0'; 
	$nickname = isset($_GET['nickname']) ? urldecode($_GET['nickname']) : '';

	//subpageurlparams
	$subpageurlparams = 'departid=' . $departid . '&departname=' . urlencode($departname);

	$methodname = 'Admin.RemoveUser';
	$requestinfo = '<?xml version="1.0" encoding="utf-8"?><request>' . 
		'<ip>' . getip() . '</ip>' . 
		'<userid>' . $userid . '</userid>' . 	
		'</request> ';
	$responseinfo = '';
	$responsexml = null;
	$errorcode = ERRORCODE_UNKNOWN;

	$cmd = new COM("OpenCom.Command");
	$methodname = iconv('UTF-8', 'GBK//IGNORE', $methodname);
	$requestinfo = iconv('UTF-8', 'GBK//IGNORE', $requestinfo);
	if ($cmd->Execute($methodname, $requestinfo, $responseinfo, 5000)) {
		$responseinfo = iconv('GBK', 'UTF-8//IGNORE', $responseinfo);
		$responsexml = simplexml_load_string($responseinfo);
		$errorcode = $responsexml->errorcode;
	}
	$cmd = null;

	switch($errorcode) {
		case ERRORCODE_OK: 
			header("location: departments_users.php?{$subpageurlparams}");
			break;
		default:
			header("location: departments_users.php?{$subpageurlparams}");
	}//switch
}//step2

$step = isset($_GET['step']) ? $_GET['step'] : '1'; 

if ($step == '2') {
	step2();
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<link type="text/css" rel="stylesheet" href="../css/base.css" />
</head>
<body style="background-color:#f2f2f2;">

<?php
$departid = isset($_GET['departid']) ? $_GET['departid'] : '';
$departname = isset($_GET['departname']) ? urldecode($_GET['departname']) : '';
$userid = isset($_GET['userid']) ? $_GET['userid'] : '0'; 
$nickname = isset($_GET['nickname']) ? urldecode($_GET['nickname']) : '';

//subpageurlparams
$subpageurlparams = 'departid=' . $departid . '&departname=' . urlencode($departname) . 
	'&userid=' . $userid . '&nickname=' . urlencode($nickname);

echo<<<EOT
	<div style="clear:both;margin:0 auto;padding:0;width:493px;">
		<div style="float:left;margin:0;padding:20px 0 0 0;width:493px;text-align:center;font-size:13px;">
			<img width="40px" height="40px" align="absmiddle" src="../images/warning.gif" />&nbsp;确定要删除&nbsp;&quot;$nickname&quot;&nbsp;帐号吗？
		</div>
		<div style="float:left;margin:0;padding:20px 0 20px 0;width:493px;text-align:center;font-size:13px;">
			<input class="cssbtn" type="button" value="确定" onclick="window.location='departments_removeuser.php?step=2&{$subpageurlparams}'" />
			<input class="cssbtn" type="button" value="取消" onclick="window.location='departments_users.php?{$subpageurlparams}'" />
		</div>
	</div>
EOT;
?>

</body>
</html>
